package cn.com.capcloud.core.noentitydb;

import java.util.List;
import java.util.Map;

public class JtPage {
	private int totalPages;//总页数
	private int totalElements;//总条数
	private int number;//当前页
	private int size;//每页条目数
	private int numberOfElements;//当前页条目数
	private List<Map<String, Object>> content;
	private List<Map<String, Object>> selectContent;
	public int getTotalPages() {
		return totalPages;
	}
	public void setTotalPages(int totalPages) {
		this.totalPages = totalPages;
	}
	public int getTotalElements() {
		return totalElements;
	}
	public void setTotalElements(int totalElements) {
		this.totalElements = totalElements;
	}
	public int getNumber() {
		return number;
	}
	public void setNumber(int number) {
		this.number = number;
	}
	public int getSize() {
		return size;
	}
	public void setSize(int size) {
		this.size = size;
	}
	public int getNumberOfElements() {
		return numberOfElements;
	}
	public void setNumberOfElements(int numberOfElements) {
		this.numberOfElements = numberOfElements;
	}
	public List<Map<String, Object>> getContent() {
		return content;
	}
	public void setContent(List<Map<String, Object>> content) {
		this.content = content;
	}

	public List<Map<String, Object>> getSelectContent() {
		return selectContent;
	}

	public void setSelectContent(List<Map<String, Object>> selectContent) {
		this.selectContent = selectContent;
	}
}
